Oracle Linux 6176 Published by

A squid:4 security update has been released for Oracle Linux 8.



ELSA-2023-6267 Critical: Oracle Linux 8 squid:4 security update


Oracle Linux Security Advisory ELSA-2023-6267

http://linux.oracle.com/errata/ELSA-2023-6267.html

The following updated rpms for Oracle Linux 8 have been uploaded to the Unbreakable Linux Network:

x86_64:
squid-4.15-6.0.1.module+el8.8.0+90059+985ac402.x86_64.rpm

aarch64:
libecap-1.0.1-2.module+el8.3.0+7819+eb7d4ef6.aarch64.rpm
libecap-devel-1.0.1-2.module+el8.3.0+7819+eb7d4ef6.aarch64.rpm
squid-4.15-6.0.1.module+el8.8.0+90059+985ac402.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol8/SRPMS-updates//libecap-1.0.1-2.module+el8.3.0+7819+eb7d4ef6.src.rpm
http://oss.oracle.com/ol8/SRPMS-updates//squid-4.15-6.0.1.module+el8.8.0+90059+985ac402.src.rpm

Related CVEs:

CVE-2023-46846
CVE-2023-46847

Description of changes:

libecap
squid
[4.15-6.0.1]
- Improve HTTP chunked encoding compliance (CVE-2023-46846)
- Fix stack buffer overflow when parsing Digest Authorization (CVE-2023-46847)